[![GitHub issues](https://img.shields.io/github/issues/PacktWorkshops/The-PHP-Workshop.svg)](https://github.com/PacktWorkshops/The-PHP-Workshop/issues)
[![GitHub forks](https://img.shields.io/github/forks/PacktWorkshops/The-PHP-Workshop.svg)](https://github.com/PacktWorkshops/The-PHP-Workshop/network)
[![GitHub stars](https://img.shields.io/github/stars/PacktWorkshops/The-PHP-Workshop.svg)](https://github.com/PacktWorkshops/The-PHP-Workshop/stargazers)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/PacktWorkshops/The-PHP-Workshop/pulls)



# The-PHP-Workshop
You already know you want to learn PHP 7, and a smarter way to learn PHP development is to learn by doing. The PHP Workshop focuses on building up your practical skills so that you can develop cutting-edge, high-performance web applications. It’s ideal if you’re looking to work with an existing application, or even develop your own side project with a PHP framework like Laravel. You'll learn from real examples that lead to real results.
Throughout The PHP Workshop, you'll take an engaging step-by-step approach to understanding PHP development. You won't have to sit through any unnecessary theory. If you're short on time you can jump into a single exercise each day or spend an entire weekend learning about third-party libraries. It's your choice. Learning on your terms, you'll build up and reinforce key skills in a way that feels rewarding.
Every physical copy of The PHP Workshop unlocks access to the interactive edition. With videos detailing all exercises and activities, you'll always have a guided solution. You can also benchmark yourself against assessments, track progress, and receive content updates. It's a premium learning experience that's included with your printed copy. To redeem, follow the instructions located at the start of your PHP guide.
Fast-paced and direct, The PHP Workshop is the ideal companion for PHP beginners. You'll build and iterate on your code like a software developer, learning along the way. This process means that you'll find that your new skills stick, embedded as best practice. A solid foundation for the years ahead.


## What you will learn
* Get to grips with the fundamental concepts of the PHP language 
* Discover how you can work with the MySQL database to build dynamic web applications 
* Learn how to compile logical errors and handle exceptions in your programs 
* Use PHPUnit to ensure a bug-free development process 
* Learn how to use Composer – PHP's package manager – to include third-party packages in your applications 
* Explore what are web services and how to connect them to your applications with Guzzle 

### The examples of this title has been implemented in the Windows/MAC/Linux operating system.

### Software requirements
You’ll also need the following software installed in advance:
* PHP 7.3
* MySQL 5.7
* MySQL Workbench
* Composer
* Insomnia REST Client
